curl --request PATCH \
--url https://api.jtl-cloud.com/erp/v2/sales-orders/{salesOrderId}/line-items/{salesOrderLineItemId} \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--header 'x-tenant-id: <x-tenant-id>' \
--data '
{
"itemId": "b45f6432-2462-4c6f-b00f-1d9d01000000",
"name": "<string>",
"sKU": "<string>",
"quantity": 123,
"salesUnit": "<string>",
"salesPriceNet": 123,
"salesPriceGross": 123,
"discount": 123,
"purchasePriceNet": 123,
"taxRate": 123,
"notice": "<string>"
}
'import requests
url = "https://api.jtl-cloud.com/erp/v2/sales-orders/{salesOrderId}/line-items/{salesOrderLineItemId}"
payload = {
"itemId": "b45f6432-2462-4c6f-b00f-1d9d01000000",
"name": "<string>",
"sKU": "<string>",
"quantity": 123,
"salesUnit": "<string>",
"salesPriceNet": 123,
"salesPriceGross": 123,
"discount": 123,
"purchasePriceNet": 123,
"taxRate": 123,
"notice": "<string>"
}
headers = {
"x-tenant-id": "<x-tenant-id>",
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.patch(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'PATCH',
headers: {
'x-tenant-id': '<x-tenant-id>',
Authorization: 'Bearer <token>',
'Content-Type': 'application/json'
},
body: JSON.stringify({
itemId: 'b45f6432-2462-4c6f-b00f-1d9d01000000',
name: '<string>',
sKU: '<string>',
quantity: 123,
salesUnit: '<string>',
salesPriceNet: 123,
salesPriceGross: 123,
discount: 123,
purchasePriceNet: 123,
taxRate: 123,
notice: '<string>'
})
};
fetch('https://api.jtl-cloud.com/erp/v2/sales-orders/{salesOrderId}/line-items/{salesOrderLineItemId}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"errorCode": "<string>",
"validationErrors": {},
"errors": {},
"errorMessage": "<string>",
"stacktrace": "<string>"
}{
"errorCode": "<string>",
"validationErrors": {},
"errors": {},
"errorMessage": "<string>",
"stacktrace": "<string>"
}Update Sales Order Line Item
Updates a line item for a specific sales order.
Authorizations
The access token received from the authorization server in the OAuth 2.0 flow.
Headers
The Company-Id (int or uuid) of the company on whose behalf the request is executed.
The tenant ID for the target ERP instance.
Path Parameters
The ID of the sales order that the line items belong to.
"b45f6432-2462-4c6f-b00f-1d9d01000000"
The ID of the line item that belongs to the sales order.
"b45f6432-2462-4c6f-b00f-1d9d01000000"
Body
The line item to update.
Model Class: UpdateSalesOrderLineItem
Unique ID to identify an item.
"b45f6432-2462-4c6f-b00f-1d9d01000000"
Name of the position.
SKU of the sales order line item.
The quantity of the line item.
The sales unit of the line item.
The net sales price of the item. Only net or gross price can be entered. The other price will then be calculated.
The gross sales price of the item. Only net or gross price can be entered. The other price will then be calculated.
The discount of the line item.
The purchase price of the item.
The tax rate of the line item.
Notice for the line item.
Response
Was this page helpful?